#!/usr/bin/ruby

gmtname = ARGV[0]
dclname = ARGV[1]

full = ''
head = ''
tmpc = ''
flag = '1'.to_s.rjust(8," ")
bcounter = 0
counter = 1
checknum = 0

f = open(gmtname,"r").read.split("\n")
nf = open(dclname,"w")

for i in 1..f.size-1
   tmp = f[i].gsub("\r","").split("\t")

   if tmp[0] != '>' then
      clontmp = sprintf("%8.3f",tmp[0].to_f)
      clattmp = sprintf("%8.3f",tmp[1].to_f)

      if counter > 5 then
         tmpc = tmpc << "\n"
         counter = 1
      end

      tmpc = tmpc << clattmp << clontmp
      counter = counter + 1
   else
      checknum = checknum + 1
      print "Check summary , (#{i}, #{checknum})\n"

      acounter = i
      pnum = acounter - 1 - bcounter - 1 + 1
      lontmp = Array.new(pnum)
      lattmp = Array.new(pnum)
      ltmp = Array.new(pnum)
      ltmp[0..pnum-1] = f[(bcounter + 1)..(acounter - 1)]

      for j in 0..pnum-1
         tmp = ltmp[j].gsub("\r","").split("\t")
         lontmp[j] = tmp[0].to_f
         lattmp[j] = tmp[1].to_f
      end

      clonmin = sprintf("%8.3f",lontmp.min)
      clonmax = sprintf("%8.3f",lontmp.max)
      clatmin = sprintf("%8.3f",lattmp.min)
      clatmax = sprintf("%8.3f",lattmp.max)

      bcounter = i
      counter = 1

      if pnum > 1 then
         head = (pnum * 2).to_s.rjust(8," ") << flag
         head = head << clatmax << clatmin << clonmax << clonmin << "\n"
         full = full << head << tmpc << "\n"
      else
         print "[WARNING] : point is only 1.\n"
      end

      nf.write(full)
      full = ''
      head = ""
      tmpc = ""

   end

end
